Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class GeographicCode

java.lang.Object
ru.bitel.bgbilling.kernel.base.phone.common.bean.GeographicCode

All Implemented Interfaces:
  `TreeNode<GeographicCode>`

public class GeographicCode extends Object implements TreeNode<GeographicCode>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeographicCode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(GeographicCode child)`
  `GeographicCode`
  `findCode(String code)`
  `GeographicCode`
  `findCode(String code, int startLevel, int endLevel)`
  `GeographicCode`
  `findCodeMatch(String code)`
  `GeographicCode`
  `findParent(String code)`
  `List<GeographicCode>`
  `getChildren()`
  `String`
  `getCode()`
  `String`
  `getDestination()`
  `int`
  `getDestinationId()`
  `int`
  `getEndLevel()`
  `int`
  `getLevel()`
  `int`
  `getStartLevel()`
  `void`
  `setChildren(List<GeographicCode> children)`
  `void`
  `setCode(String code)`
  `void`
  `setDestination(String destination)`
  `void`
  `setDestinationId(int destinationId)`
  `void`
  `setEndLevel(int endLevel)`
  `void`
  `setLevel(int level)`
  `void`
  `setStartLevel(int startLevel)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GeographicCode

    public GeographicCode()

- ## Method Details

  - ### getCode

    public String getCode()

  - ### setCode

    public void setCode(String code)

  - ### getChildren

    public List<GeographicCode> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<GeographicCode>`

  - ### setChildren

    public void setChildren(List<GeographicCode> children)

  - ### getDestinationId

    public int getDestinationId()

  - ### setDestinationId

    public void setDestinationId(int destinationId)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public void setDestination(String destination)

  - ### getLevel

    public int getLevel()

  - ### setLevel

    public void setLevel(int level)

  - ### getStartLevel

    public int getStartLevel()

  - ### setStartLevel

    public void setStartLevel(int startLevel)

  - ### getEndLevel

    public int getEndLevel()

  - ### setEndLevel

    public void setEndLevel(int endLevel)

  - ### findCodeMatch

    public GeographicCode findCodeMatch(String code)

  - ### findParent

    public GeographicCode findParent(String code)

  - ### findCode

    public GeographicCode findCode(String code)

  - ### findCode

    public GeographicCode findCode(String code, int startLevel, int endLevel)

  - ### addChild

    public void addChild(GeographicCode child)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`